Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 231788 - Writer crashes with object dump when exiting bibliography database editor
Summary: Writer crashes with object dump when exiting bibliography database editor
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: openoffice.org
Version: 6
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Caolan McNamara
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-11 21:43 UTC by James Bannon
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version: 2.0.4-5.5.17
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-28 07:52:12 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
OpenOffice.org 75301 None None None Never

Description James Bannon 2007-03-11 21:43:20 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-GB; rv:1.8.0.10) Gecko/20070226 Fedora/1.5.0.10-1.fc6 Firefox/1.5.0.10 pango-text

Description of problem:
When I open the bibliography database editor and then exit using either the quit icon or file->close I get a core dump as follows:

(I)    x.org loaded video driver of...
(II) Loading /usr/lib64/xorg/modules/drivers/nvidia_drv.so
(III)  Desktop is: GNOME
(IV)   libgcj version is: libgcj-4.1.1-51.fc6-x86_64
(V)    kernel is: Linux 2.6.19-1.2911.6.5.fc6 #1 SMP Sun Mar 4 16:05:34 EST 2007 x86_64 x86_64 x86_64
(VI)   OpenOffice.org core rpm version is: openoffice.org-core-2.0.4-5.5.10-x86_64
(VII)  depth of root window:    24 planes
(VIII) accessibility is: false
(VIV)  fedora release is: Fedora Core release 6 (Zod)
...start sestatus details ...
SELinux status:                 enabled
SELinuxfs mount:                /selinux
Current mode:                   enforcing
Mode from config file:          enforcing
Policy version:                 21
Policy from config file:        targeted
...end sestatus details ...
...start stackreport details ...
0xafaed708: /usr/lib64/openoffice.org2.0/program/libuno_sal.so.3 + 0x36708
0xafaee18b: /usr/lib64/openoffice.org2.0/program/libuno_sal.so.3 + 0x3718b
0xad474210: /lib64/libc.so.6 + 0x30210
0xad859771: /usr/lib64/openoffice.org2.0/program/libvcl680lx.so + 0xc7771 (Application::RemoveUserEvent(unsigned long) + 0x11)
0xae243f6f: /usr/lib64/openoffice.org2.0/program/libsvt680lx.so + 0x1e5f6f (svt::EditBrowseBox::~EditBrowseBox() + 0x11f)
0xcbd58960: /usr/lib64/openoffice.org2.0/program/libdbu680lx.so + 0x291960
0xaffdf6db: /usr/lib64/openoffice.org2.0/program/libtk680lx.so + 0x1336db (VCLXDevice::DestroyOutputDevice() + 0x1b)
0xafffbcbd: /usr/lib64/openoffice.org2.0/program/libtk680lx.so + 0x14fcbd (VCLXWindow::dispose() + 0x16d)
0xac6fc05f: /usr/lib64/openoffice.org2.0/program/libsvx680lx.so + 0x9e005f (FmXGridPeer::dispose() + 0x7f)
0xcbd58165: /usr/lib64/openoffice.org2.0/program/libdbu680lx.so + 0x291165
0xb0041723: /usr/lib64/openoffice.org2.0/program/libtk680lx.so + 0x195723 (UnoControl::dispose() + 0x1a3)
0xac6f40a9: /usr/lib64/openoffice.org2.0/program/libsvx680lx.so + 0x9d80a9 (FmXGridControl::dispose() + 0x89)
0xcbd5ebd9: /usr/lib64/openoffice.org2.0/program/libdbu680lx.so + 0x297bd9
0xca58887e: /usr/lib64/openoffice.org2.0/program/libbib680lx.so + 0x4187e
0xca588ee0: /usr/lib64/openoffice.org2.0/program/libbib680lx.so + 0x41ee0
0xca568f75: /usr/lib64/openoffice.org2.0/program/libbib680lx.so + 0x21f75
0xca569962: /usr/lib64/openoffice.org2.0/program/libbib680lx.so + 0x22962
0xaffdf6db: /usr/lib64/openoffice.org2.0/program/libtk680lx.so + 0x1336db (VCLXDevice::DestroyOutputDevice() + 0x1b)
0xafffbcbd: /usr/lib64/openoffice.org2.0/program/libtk680lx.so + 0x14fcbd (VCLXWindow::dispose() + 0x16d)
0xb31f15d6: /usr/lib64/openoffice.org2.0/program/libfwk680lx.so + 0x935d6
0xb31f0b0b: /usr/lib64/openoffice.org2.0/program/libfwk680lx.so + 0x92b0b
0xb322565f: /usr/lib64/openoffice.org2.0/program/libfwk680lx.so + 0xc765f
0xb32235ed: /usr/lib64/openoffice.org2.0/program/libfwk680lx.so + 0xc55ed
0xb3224ac8: /usr/lib64/openoffice.org2.0/program/libfwk680lx.so + 0xc6ac8
0xada84c4a: /usr/lib64/openoffice.org2.0/program/libvcl680lx.so + 0x2f2c4a
0xada2b661: /usr/lib64/openoffice.org2.0/program/libvcl680lx.so + 0x299661
0xbddcaee7: /usr/lib64/openoffice.org2.0/program/libvclplug_gen680lx.so + 0x57ee7 (SalDisplay::DispatchInternalEvent() + 0xb7)
0xbd928016: /usr/lib64/openoffice.org2.0/program/libvclplug_gtk680lx.so + 0x16016
0xb7354f64: /lib64/libglib-2.0.so.0 + 0x2cf64 (g_main_context_dispatch + 0x1b4)
0xb7357d9d: /lib64/libglib-2.0.so.0 + 0x2fd9d
0xb73582ce: /lib64/libglib-2.0.so.0 + 0x302ce (g_main_context_iteration + 0x6e)
0xbd929a3b: /usr/lib64/openoffice.org2.0/program/libvclplug_gtk680lx.so + 0x17a3b
0xad85adb1: /usr/lib64/openoffice.org2.0/program/libvcl680lx.so + 0xc8db1 (Application::Yield(bool) + 0x51)
0xad85ae4a: /usr/lib64/openoffice.org2.0/program/libvcl680lx.so + 0xc8e4a (Application::Execute() + 0x2a)
0xaacf1d15: /usr/lib64/openoffice.org2.0/program/libsoffice.so + 0x2bd15 (desktop::Desktop::Main() + 0x15a5)
0xad860519: /usr/lib64/openoffice.org2.0/program/libvcl680lx.so + 0xce519
0xad860605: /usr/lib64/openoffice.org2.0/program/libvcl680lx.so + 0xce605 (SVMain() + 0x25)
0xaace4d36: /usr/lib64/openoffice.org2.0/program/libsoffice.so + 0x1ed36 (sal_main + 0x46)
0xad461a44: /lib64/libc.so.6 + 0x1da44 (__libc_start_main + 0xf4)
0x400619: /usr/lib64/openoffice.org2.0/program/swriter.bin + 0x619
...end stackreport details ...
...start sample ldd details ...
	libuno_sal.so.3 => /usr/lib64/openoffice.org2.0/program/libuno_sal.so.3 (0x00002aaaaaccd000)
	libuno_salhelpergcc3.so.3 => /usr/lib64/openoffice.org2.0/program/libuno_salhelpergcc3.so.3 (0x00002aaaab0c2000)
	libstore.so.3 => /usr/lib64/openoffice.org2.0/program/libstore.so.3 (0x00002aaaab2c6000)
	libdl.so.2 => /lib64/libdl.so.2 (0x00002aaaab4ed000)
	libpthread.so.0 => /lib64/libpthread.so.0 (0x00002aaaab6f1000)
	libstlport_gcc.so => /usr/lib64/openoffice.org2.0/program/libstlport_gcc.so (0x00002aaaab90b000)
	libstdc++.so.6 => /usr/lib64/libstdc++.so.6 (0x00002aaaabbe5000)
	libm.so.6 => /lib64/libm.so.6 (0x00002aaaabee5000)
	libgcc_s.so.1 => /lib64/libgcc_s.so.1 (0x00002aaaac168000)
	libc.so.6 => /lib64/libc.so.6 (0x00002aaaac376000)
	libcrypt.so.1 => /lib64/libcrypt.so.1 (0x00002aaaac6c4000)
	/lib64/ld-linux-x86-64.so.2 (0x0000555555554000)
...end sample ldd details ...

This looks similar to bug# 227753 but that was reported for the i386 version using a different package.

I have tried some experiments as follows:
1.  With SElinux disabled, in permissive and enforcing modes.
2.  With the GNU jre and with the Sun J2SE 1.5.0_11 64 bit.
3.  With the kmod-nvidia drivers enabled and disabled.
4.  I have tried it both prior to and after upgrading with both yum and smart.

None of these changes in configuration made any difference to the result. For the record, I am running kernel kernel-2.6.19-1.2911.6.5.fc6 on an AMD Athlon machine (Alienware - Nvidia chipset) in case that makes any difference.

Version-Release number of selected component (if applicable):
1.2.0.4-5.5.10@x86_64

How reproducible:
Always


Steps to Reproduce:
1. Open writer
2. Open bibliography database editor
3. Close bibliography database editor

Actual Results:
Crashed as described.

Expected Results:
It shouldn't have produced a core dump.

Additional info:

Comment 1 Caolan McNamara 2007-03-12 08:38:13 UTC
reproducible, probably a ULONG/sal_uInt32 mismatch somewhere

Comment 2 Caolan McNamara 2007-03-12 09:42:18 UTC
Yeah, think I see the problem. Need to do a test build to verify fix.

Comment 3 Caolan McNamara 2007-03-13 11:33:32 UTC
Yup, fix checked in. Will be in FC-6 >= openoffice.org-2.0.4-5.5.16

Comment 5 Caolan McNamara 2007-03-28 07:52:12 UTC
now in 2.0.4-5.5.17 in FC-6 updates


Note You need to log in before you can comment on or make changes to this bug.